package nc.vo.esb;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * @author zhengyao3/郑瑶
 * @date 2018-9-25 上午10:13:53
 * @Description:请求总线接口VO
 * 
 */
@XStreamAlias("tem:requestParam")
public class RequestToEsbVO<T> {

	@XStreamAlias("tem:esbInfo")
	private EsbInfoAnnotatioVO esbInfo;
	@XStreamAlias("tem:queryInfo")
	private QueryInfoVO queryInfo;
	@XStreamAlias("tem:requestInfo")
	private RequestInfoVO requestInfo;

	public EsbInfoAnnotatioVO getEsbInfo() {
		return esbInfo;
	}

	public void setEsbInfo(EsbInfoAnnotatioVO esbInfo) {
		this.esbInfo = esbInfo;
	}

	public QueryInfoVO getQueryInfo() {
		return queryInfo;
	}

	public void setQueryInfo(QueryInfoVO queryInfo) {
		this.queryInfo = queryInfo;
	}

	public RequestInfoVO getRequestInfo() {
		return requestInfo;
	}

	public void setRequestInfo(RequestInfoVO requestInfo) {
		this.requestInfo = requestInfo;
	}
}
